Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XActRelationshipEntryRelationship

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XActRelationshipEntryRelationship

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XActRelationshipEntryRelationship

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XAct Relationship Entry Relationship', and utility methods for working with them. abstDomain: V19447 (C-0-D10317-V19447-cpt)

See Also:
  `CDAR2Package.getXActRelationshipEntryRelationship()`

Field Summary
`static int` | `CAUS` The 'CAUS' literal value.
`static XActRelationshipEntryRelationship` | `CAUS_LITERAL` The 'CAUS' literal object.
`static int` | `COMP` The 'COMP' literal value.
`static XActRelationshipEntryRelationship` | `COMP_LITERAL` The 'COMP' literal object.
`static int` | `GEVL` The 'GEVL' literal value.
`static XActRelationshipEntryRelationship` | `GEVL_LITERAL` The 'GEVL' literal object.
`static int` | `MFST` The 'MFST' literal value.
`static XActRelationshipEntryRelationship` | `MFST_LITERAL` The 'MFST' literal object.
`static int` | `REFR` The 'REFR' literal value.
`static XActRelationshipEntryRelationship` | `REFR_LITERAL` The 'REFR' literal object.
`static int` | `RSON` The 'RSON' literal value.
`static XActRelationshipEntryRelationship` | `RSON_LITERAL` The 'RSON' literal object.
`static int` | `SAS` The 'SAS' literal value.
`static XActRelationshipEntryRelationship` | `SAS_LITERAL` The 'SAS' literal object.
`static int` | `SPRT` The 'SPRT' literal value.
`static XActRelationshipEntryRelationship` | `SPRT_LITERAL` The 'SPRT' literal object.
`static int` | `SUBJ` The 'SUBJ' literal value.
`static XActRelationshipEntryRelationship` | `SUBJ_LITERAL` The 'SUBJ' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XAct Relationship Entry Relationship' enumerators.
`static int` | `XCRPT` The 'XCRPT' literal value.
`static XActRelationshipEntryRelationship` | `XCRPT_LITERAL` The 'XCRPT' literal object.

Method Summary
`static XActRelationshipEntryRelationship` | `get(int value)` Returns the 'XAct Relationship Entry Relationship' literal with the specified integer value.
`static XActRelationshipEntryRelationship` | `get(java.lang.String literal)` Returns the 'XAct Relationship Entry Relationship' literal with the specified literal value.
`static XActRelationshipEntryRelationship` | `getByName(java.lang.String name)` Returns the 'XAct Relationship Entry Relationship' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XCRPT

    public static final int XCRPT

  The 'XCRPT' literal value.

  If the meaning of 'XCRPT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XCRPT_LITERAL`, Constant Field Values

### COMP

    public static final int COMP

  The 'COMP' literal value.

  If the meaning of 'COMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COMP_LITERAL`, Constant Field Values

### RSON

    public static final int RSON

  The 'RSON' literal value.

  If the meaning of 'RSON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RSON_LITERAL`, Constant Field Values

### SPRT

    public static final int SPRT

  The 'SPRT' literal value.

  If the meaning of 'SPRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPRT_LITERAL`, Constant Field Values

### CAUS

    public static final int CAUS

  The 'CAUS' literal value.

  If the meaning of 'CAUS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CAUS_LITERAL`, Constant Field Values

### GEVL

    public static final int GEVL

  The 'GEVL' literal value.

  If the meaning of 'GEVL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GEVL_LITERAL`, Constant Field Values

### MFST

    public static final int MFST

  The 'MFST' literal value.

  If the meaning of 'MFST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MFST_LITERAL`, Constant Field Values

### REFR

    public static final int REFR

  The 'REFR' literal value.

  If the meaning of 'REFR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REFR_LITERAL`, Constant Field Values

### SAS

    public static final int SAS

  The 'SAS' literal value.

  If the meaning of 'SAS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SAS_LITERAL`, Constant Field Values

### SUBJ

    public static final int SUBJ

  The 'SUBJ' literal value.

  If the meaning of 'SUBJ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUBJ_LITERAL`, Constant Field Values

### XCRPT_LITERAL

    public static final XActRelationshipEntryRelationship XCRPT_LITERAL

  The 'XCRPT' literal object.

  See Also:
    `XCRPT`

### COMP_LITERAL

    public static final XActRelationshipEntryRelationship COMP_LITERAL

  The 'COMP' literal object.

  See Also:
    `COMP`

### RSON_LITERAL

    public static final XActRelationshipEntryRelationship RSON_LITERAL

  The 'RSON' literal object.

  See Also:
    `RSON`

### SPRT_LITERAL

    public static final XActRelationshipEntryRelationship SPRT_LITERAL

  The 'SPRT' literal object.

  See Also:
    `SPRT`

### CAUS_LITERAL

    public static final XActRelationshipEntryRelationship CAUS_LITERAL

  The 'CAUS' literal object.

  See Also:
    `CAUS`

### GEVL_LITERAL

    public static final XActRelationshipEntryRelationship GEVL_LITERAL

  The 'GEVL' literal object.

  See Also:
    `GEVL`

### MFST_LITERAL

    public static final XActRelationshipEntryRelationship MFST_LITERAL

  The 'MFST' literal object.

  See Also:
    `MFST`

### REFR_LITERAL

    public static final XActRelationshipEntryRelationship REFR_LITERAL

  The 'REFR' literal object.

  See Also:
    `REFR`

### SAS_LITERAL

    public static final XActRelationshipEntryRelationship SAS_LITERAL

  The 'SAS' literal object.

  See Also:
    `SAS`

### SUBJ_LITERAL

    public static final XActRelationshipEntryRelationship SUBJ_LITERAL

  The 'SUBJ' literal object.

  See Also:
    `SUBJ`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XAct Relationship Entry Relationship' enumerators.

Method Detail

### get

    public static XActRelationshipEntryRelationship get(java.lang.String literal)

  Returns the 'XAct Relationship Entry Relationship' literal with the specified literal value.

### getByName

    public static XActRelationshipEntryRelationship getByName(java.lang.String name)

  Returns the 'XAct Relationship Entry Relationship' literal with the specified name.

### get

    public static XActRelationshipEntryRelationship get(int value)

  Returns the 'XAct Relationship Entry Relationship' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD